#!/bin/bash

umask 0000

PSBANKDIR=/usr/local/auth/psbank
PSBANKBIN=cashreg

reset_term()
{
  chvt 2
	chvt 1
	
	clear
	/sbin/setsysfont
	setleds -D "$1"num < /dev/console
}

psbank_env_prepare()
{
	OLDDIR=`pwd`
	
	reset_term +
	
	cd "$PSBANKDIR"
	
	rm -f cheq.out
	rm -f rc.out
	
	unicode_stop
	export LANG=ru_RU.KOI8-R
	setfont koi8u_8x16 -u koi8r
}

psbank_env_reset()
{
	/sbin/setsysfont
	reset_term -
	cd $OLDDIR
}

##################################################


logger -t ukm "$(date) $0 started"
psbank_env_prepare

logger -t ukm "$(dare) $0 ./$PSBANKBIN starting"
./$PSBANKBIN $@
logger -t ukm "$(dare) $0 ./$PSBANKBIN finished"

psbank_env_reset
logger -t ukm "$(date) $0 finished"
